Bug 102509 - Error in compiling I2C ALI1535 and LM87 sensor support from 2.4.20-19.9 sources
Error in compiling I2C ALI1535 and LM87 sensor support from 2.4.20-19.9 sources
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-16 01:46 EDT by Wong Onn Chee
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wong Onn Chee 2003-08-16 01:46:59 EDT
Description of problem:
There is an error in the files,
/usr/src/linux-2.4.20-19.9/drivers/i2c/i2c-ali1535.c and
/usr/src/linux-2.4.20-19.9/drivers/sensors/lm87.c.
There are lines which should end with an \ or ", but there is none.
For the former file, Line 675 is the culprit and for the later file, Line 1063
is the culprit

Version-Release number of selected component (if applicable):
2.4.20-19.9

How reproducible:
Select i2c ALI1535 support ("m") and LM87 sensor support ("m"), make dep & make
bzImage, make modules && make modules_install

Steps to Reproduce:
1.Select i2c ALI1535 and LM87 sensor module support
2.Save and Exit
3.make dep && make bzImage
4) make modules && make modules_install
    
Actual results:
Compilation of modules will stop at errors.

Expected results:


Additional info:
Merge the immediate line below with the lines at fault.
Comment 1 Bugzilla owner 2004-09-30 11:41:26 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.